Skip to main content
GET
/
suno
/
v1
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/suno/v1/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "status": "SUCCESS",
  "message": "success",
  "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
  "data": {
    "jobId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "action": "music",
    "progress": "100%",
    "mv": "chirp-v5",
    "quota": "6",
    "hookUrl": "https://webhook-test.com/ed9731f4026f04e7c0cfa99e41d2b2fc",
    "musics": [
      {
        "musicId": "xxxxxxxxxxxxxxxxx",
        "prompt": "xxxxxxxxxxxxxxxxxx",
        "title": "xxxxx",
        "tags": "xxxxx",
        "imageUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxxxxx.jpeg",
        "imageLargeUrl": "https://cdn2.suno.ai/xxxxxxxxxxxxxx.jpeg",
        "audioUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp3",
        "videoUrl": "https://cdn1.suno.ai/xxxxxxxxxxxxxxx.mp4",
        "duration": "211.44",
        "negativeTags": "xxxxxxxxxxxxxxxxxxx",
        "styleWeight": null,
        "weirdnessConstraint": null,
        "audioWeight": null,
        "createdAt": "2026-03-03T02:23:51.401Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt

Use this file to discover all available pages before exploring further.

⚠️ This endpoint is deprecated. Please use /suno/v2/fetch instead。

Authorizations

TT-API-KEY
string
header
required

You can obtain your API key from the TTAPI Dashboard.

Query Parameters

jobId
string
required

Job ID returned by the generation request

Response

Request successful

status
enum<string>
required
Available options:
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

Response message

jobId
string

Task ID

data
object

Audio task result

Last modified on March 21, 2026